Imports System
Imports System.Text
Imports System.Collections.Generic
Imports System.ComponentModel

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.FileAttachments.Win
Imports DevExpress.ExpressApp.DC

<ToolboxItemFilter("Xaf.Platform.Win")> _
Partial Public NotInheritable Class [NuvolarWindowsFormsModule]
    Inherits ModuleBase
    Public Sub New()
        InitializeComponent()
        exontrol.EXG2ANTTLib.exg2antt.RuntimeKey = "kxcp0u|cdqBuku/tgpfu|gtjc|0jw"
    End Sub
    'Public Overrides Sub CustomizeLogics(customLogics As DevExpress.ExpressApp.DC.CustomLogics)
    '    MyBase.CustomizeLogics(customLogics)
    '    customLogics.RegisterLogic(GetType(IModelOptionsFileAttachment), GetType(LogicIModelOptionsFileAttachment))

    'End Sub
End Class
<DomainLogic(GetType(IModelOptionsFileAttachment))> _
Public Class LogicIModelOptionsFileAttachment
    Public Shared Function Get_DefaultDirectory(instance As IModelOptionsFileAttachment) As String
        Return "c:\Temp"
    End Function
End Class

